﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace AppointmentsCustomInfo
{
    public class AppointmentsToCustomInfoConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
            {
                return null;
            }

            IEnumerable<IAppointment> appointmentsCore = value as IEnumerable<IAppointment>;

            if (appointmentsCore == null || appointmentsCore.Count() == 0)
            {
                return null;
            }

            string appointmentInfo = string.Empty;
            foreach (SampleAppointment appointment in appointmentsCore)
            {
                appointmentInfo += appointment.MyCustomAppointmentInfo + "\n";
            }
            return appointmentInfo;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
